<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<ui:composition template="/templates/template.xhtml">
    <ui:define name="status">(Página de acesso restrito)</ui:define>
	<ui:define name="principal">
		<div style="margin: auto;width: 400px;">
			<h3>Cadastro</h3>
			<h:form>			
			    <h:inputHidden id="id" value="#{cadastro.livro.id}"/>
				<h:panelGrid columns="2">
					<h:outputLabel value="Título" />
					<h:inputText id="nome" value="#{cadastro.livro.nome}" />
					<h:outputLabel value="" />
					<h:message for="nome" errorClass="errorMessage" />
					<h:outputLabel value="" />
					<h:commandButton type="submit" value="Gravar" action="#{cadastro.gravar}" style="margin-top: 7px" />
				</h:panelGrid>
			</h:form>
		</div>
	</ui:define>
</ui:composition>

</html>